import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { NepaliDate, MonthData, DaysMapping, MonthMapping, DateFormatter } from './types';
export declare class DatepickerComponent implements OnInit, ControlValueAccessor {
    nepaliDateToday: NepaliDate;
    currentNepaliDate: NepaliDate;
    selectedDate: NepaliDate;
    formattedDate: string;
    currentDate: Date;
    displayDate: string;
    years: number[];
    currentMonthData: MonthData;
    daysMapping: DaysMapping;
    monthsMapping: MonthMapping;
    isOpen: boolean;
    hideInput: boolean;
    alwaysVisible: boolean;
    inputClass: string;
    language: 'en' | 'ne';
    monthDisplayType: 'default' | 'modern' | 'short';
    dayDisplayType: 'default' | 'short';
    dateFormatter: DateFormatter;
    constructor();
    ngOnInit(): void;
    setCurrentDate(): void;
    populateYears(): void;
    resetCurrentMonthData(): void;
    formatValue(): void;
    propagateChange: (_: any) => void;
    propagateTouch: (_: any) => void;
    writeValue(value: any): void;
    registerOnTouched(): void;
    registerOnChange(fn: any): void;
    setCurrentMonthData(): void;
    setMonthDataBefore(day: any, date: any): void;
    setMonthDataAfter(day: any, date: any): void;
    createEmptySpaces(): void;
    selectDate(day: number): void;
    selectYear(year: string): void;
    selectMonth(month: string): void;
    toggleOpen(): void;
    open(): void;
    close(): void;
}
